/*!	\file	TT_Phase_1_main.cpp
	\author	Garth Santor
	\date	2024-01-03

	Conceptual demonstration of temperature conversion table.

	MSVC:	/std:c++20
	g++:	-m64 -std=c++20
*/

#include <iostream>
using namespace std;

int main() {
	constexpr double fahr_start{ -40.0 };
	constexpr double fahr_end{ 140.0 };
	constexpr double fahr_interval{ 10.0 };

	for (double fahr_temp{ fahr_start }; fahr_temp <= fahr_end; fahr_temp += fahr_interval) {
		const double celc_temp{ 5.0 / 9.0 * (fahr_temp - 32.0) };
		cout << fahr_temp << " F\t" << celc_temp << " C\n";
	}
}